Summary:	A utility for displaying and/or setting hard disk parameters
Name:		hdparm
Version:	9.37
Release:	%mkrel 1
License:	BSD
Group:		System/Kernel and hardware
URL:		http://sourceforge.net/projects/hdparm/
Source0:	http://nchc.dl.sourceforge.net/sourceforge/hdparm/%name-%version.tar.gz
Source1:	hdparm-sysconfig
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Hdparm is a useful system utility for setting (E)IDE hard drive parameters. For
example, hdparm can be used to tweak hard drive performance and to spin down
hard drives for power conservation.

%prep
%setup -q

%build
%serverbuild
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" STRIP=/bin/true

%install
rm -rf %{buildroot}

install -m0755 hdparm -D %{buildroot}/sbin/hdparm
install -m0644 hdparm.8 -D %{buildroot}%{_mandir}/man8/hdparm.8
install -m0644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/harddisks

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc hdparm.lsm Changelog README.acoustic
%config(noreplace) %{_sysconfdir}/sysconfig/harddisks
/sbin/hdparm
%{_mandir}/man8/hdparm.8*




%changelog
* Mon Apr 11 2011 dams <dams> 9.37-1.mga1
+ Revision: 83221
- update to 9.37

* Wed Jan 12 2011 supp <supp> 9.36-1.mga1
+ Revision: 7743
- fix missing commas
- imported package hdparm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 9.36-1mdv2011.0
+ Revision: 602229
- update to new version 9.36

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 9.35-1mdv2011.0
+ Revision: 594170
- update to new version 9.35

* Sun Oct 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 9.34-1mdv2011.0
+ Revision: 586321
- update to new version 9.34

* Sat Sep 25 2010 Funda Wang <fwang@mandriva.org> 9.32-1mdv2011.0
+ Revision: 580946
- update to new version 9.32

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 9.30-1mdv2011.0
+ Revision: 571952
- update to new version 9.30

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 9.29-1mdv2011.0
+ Revision: 550957
- update to new version 9.29

* Tue Mar 23 2010 Tomas Kindl <supp@mandriva.org> 9.28-1mdv2010.1
+ Revision: 526689
- bump to 9.28

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 9.27-3mdv2010.1
+ Revision: 519008
- rebuild

* Wed Sep 16 2009 Frederic Crozat <fcrozat@mandriva.com> 9.27-2mdv2010.0
+ Revision: 443584
- Fix debug generation (Fedora)
- Fix CFLAGS used (Fedora)

* Tue Sep 01 2009 Frederik Himpe <fhimpe@mandriva.org> 9.27-1mdv2010.0
+ Revision: 423681
- update to new version 9.27

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 9.26-1mdv2010.0
+ Revision: 422232
- update to new version 9.26

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 9.22-1mdv2010.0
+ Revision: 412925
- update to new version 9.22

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 9.21-1mdv2010.0
+ Revision: 406312
- update to new version 9.21

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 9.16-1mdv2010.0
+ Revision: 397415
- new version 9.16

* Sat Jun 13 2009 Frederik Himpe <fhimpe@mandriva.org> 9.15-1mdv2010.0
+ Revision: 385655
- update to new version 9.15

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 9.14-1mdv2010.0
+ Revision: 374656
- new version

* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 9.13-1mdv2009.1
+ Revision: 360284
- update to new version 9.13

* Fri Feb 27 2009 Thomas Backlund <tmb@mandriva.org> 9.12-1mdv2009.1
+ Revision: 345480
- update to 9.12

* Mon Feb 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.11-1mdv2009.1
+ Revision: 340704
- update to new version 9.11

* Mon Feb 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.10-1mdv2009.1
+ Revision: 338899
- update to new version 9.10

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 9.9-1mdv2009.1
+ Revision: 333621
- New version 9.9

* Sun Jan 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.8-1mdv2009.1
+ Revision: 328352
- update to new version 9.8

* Wed Dec 24 2008 Oden Eriksson <oeriksson@mandriva.com> 9.6-1mdv2009.1
+ Revision: 318400
- 9.6
- rediffed P0

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 9.3-2mdv2009.1
+ Revision: 316759
- rediffed P0
- use %%ldflags

* Wed Nov 12 2008 Thierry Vignaud <tv@mandriva.org> 9.3-1mdv2009.1
+ Revision: 302451
- new version

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 8.9-1mdv2009.0
+ Revision: 227773
- update to new version 8.9

* Sun Jun 15 2008 Oden Eriksson <oeriksson@mandriva.com> 8.8-1mdv2009.0
+ Revision: 219315
- 8.8
- really don't strip

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 8.6-1mdv2009.0
+ Revision: 207612
- 8.6

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 8.5-2mdv2008.1
+ Revision: 179940
- don't strip the binary (P0)

* Mon Feb 25 2008 Oden Eriksson <oeriksson@mandriva.com> 8.5-1mdv2008.1
+ Revision: 174535
- 8.5 (Major security fixes)

* Fri Feb 22 2008 Thierry Vignaud <tv@mandriva.org> 8.3-1mdv2008.1
+ Revision: 173830
- new release

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 8.1-1mdv2008.1
+ Revision: 170107
- 8.1
- use the %%serverbuild macro

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 7.7-1mdv2008.1
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - stop packaging useless README (that documents a very old patch!)

* Sun Aug 19 2007 Funda Wang <fwang@mandriva.org> 7.7-1mdv2008.0
+ Revision: 67015
- New version 7.7

* Mon Jul 09 2007 Funda Wang <fwang@mandriva.org> 7.6-1mdv2008.0
+ Revision: 50428
- New version

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 7.3-1mdv2008.0
+ Revision: 22401
- 7.3


* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.9-1mdv2007.0
+ Revision: 86700
- Import hdparm

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.9-1mdv2007.1
- new release

* Thu Mar 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.6-1mdk
- new release

* Mon Dec 12 2005 Erwan Velu <erwan@seanodes.com> 6.3-1mdk
- 6.3

* Fri May 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.1-1mdk
- 6.1
- update url
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.8-1mdk
- 5.8

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.6-1mdk
- new release

* Tue Feb 03 2004 Abel Cheung <deaddog@deaddog.org> 5.5-1mdk
- New version

